Bug 445977 - Review Request: ikiwiki - A wiki compiler
Review Request: ikiwiki - A wiki compiler
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-10 17:41 EDT by Thomas Moschny
Modified: 2014-08-22 15:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: ikiwiki-3.20140613-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 05:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
opensource: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2008-05-10 17:41:46 EDT
Spec URL: http://thm.fedorapeople.org/ikiwiki.spec
SRPM URL: http://thm.fedorapeople.org/ikiwiki-2.45-1.fc9.src.rpm

Description:
Ikiwiki is a wiki compiler. It converts wiki pages into HTML pages
suitable for publishing on a website. Ikiwiki stores pages and history
in a revision control system such as Subversion or Git. There are many
other features, including support for blogging, as well as a large
array of plugins.
Comment 1 Thomas Moschny 2008-05-14 04:12:20 EDT
Spec URL: http://thm.fedorapeople.org/ikiwiki.spec
SRPM URL: http://thm.fedorapeople.org/ikiwiki-2.46-1.fc9.src.rpm

%changelog
* Tue May 13 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.46-1
- Update to 2.46.
Comment 2 Thomas Moschny 2008-06-04 04:26:22 EDT
Spec URL: http://thm.fedorapeople.org/ikiwiki.spec
SRPM URL: http://thm.fedorapeople.org/ikiwiki-2.48-1.fc9.src.rpm

%changelog
* Mon Jun  2 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.48-1
- Update to 2.48.
Comment 3 Till Maas 2008-06-07 17:55:06 EDT
+ rpmlint: ok, warnings are about %{_exclude} sections

ikiwiki.src:100: E: hardcoded-library-path in
%{_prefix}/lib/w3m/cgi-bin/ikiwiki-w3m.cgi
ikiwiki.src:102: E: hardcoded-library-path in %{_prefix}/lib/ikiwiki/plugins

+ Naming: ok
+ License: ok, GPLv2+
+ Source file: ok, matches upstream:
6b293f6e8a08578533d0268b25dae5b3  ikiwiki_2.48.tar.gz
There was a new release just now:
http://git.ikiwiki.info/?p=ikiwiki;a=commitdiff;h=77edb81bee5a2c4966591d7ba1f3c83e31de272f
+ compiles on F8: ok
+ BuildRequires: ok, builds in F9 mock
+ Locale handling: ok, uses %find_lang
+ Libraries: ok, there are none
+ Directory Ownage: ok
+ Permissions: ok
+ %clean: ok
+ %install: ok

- License included: not ok, the license is included in ikiwiki/doc/GPL but not
in %doc
- Perl Requires: not ok

perl(File::MimeInfo) is twice in the requires of the rpm, it is added manually
in the spec, which I guess can be removed.

Also I would probably package ikiwiki-w3m.cgi, because it seems to be useful.

Another isssue is, that the directory %{_prefix}/lib/ikiwiki/plugins should be
probably created, to allow addon packages, that contain ikiwiki modules. Or
would the need the perl(RPC) dependency?
Comment 4 Thomas Moschny 2008-06-16 04:11:34 EDT
Spec URL: http://thm.fedorapeople.org/ikiwiki.spec
SRPM URL: http://thm.fedorapeople.org/ikiwiki-2.50-1.fc9.src.rpm

%changelog
* Sun Jun 15 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.50-1
- Update to 2.50.
- Move ikiwiki-w3m.cgi into a subpackage.
- Add ikiwiki's own documentation.
- Remove duplicate requirement perl(File::MimeInfo).
- Minor cleanups.

(In reply to comment #3)
> + Source file: ok, matches upstream:
> 6b293f6e8a08578533d0268b25dae5b3  ikiwiki_2.48.tar.gz
> There was a new release just now:

Updated to 2.50.

> - License included: not ok, the license is included in ikiwiki/doc/GPL but not
> in %doc

Forgot to add ikiwiki's own documentation, fixed (html dir in %doc). This also
includes the GPL file.

> - Perl Requires: not ok
> 
> perl(File::MimeInfo) is twice in the requires of the rpm, it is added manually
> in the spec, which I guess can be removed.

Fixed.

> Also I would probably package ikiwiki-w3m.cgi, because it seems to be useful.

Included in a subpackage now.

> Another isssue is, that the directory %{_prefix}/lib/ikiwiki/plugins should be
> probably created, to allow addon packages, that contain ikiwiki modules. Or
> would the need the perl(RPC) dependency?

Yes it would. This directory is for non-perl plugins ikiwiki talks to using
xmlrpc, as far as I understood. As soon as there is perl(XML), I'm going to
include that dir and probably the demo plugins.
Comment 5 Thomas Moschny 2008-06-20 13:16:14 EDT
perl-XML-RPC is reviewed in bug 435835, btw.
Comment 6 Thomas Moschny 2008-06-27 14:48:45 EDT
Is there something blocking the review?
Comment 7 Till Maas 2008-07-03 12:40:59 EDT
(In reply to comment #6)
> Is there something blocking the review?

I hoped that perl-RPC-XML would be ready, soon. There is one minor issue, the
iconv invocation truncates the file to size zero, you need to put the output in
a temporary file and then mv it to the input file. Please change this before the
first build. This package is APPROVED.
Comment 8 Thomas Moschny 2008-07-03 15:40:07 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: ikiwiki
Short Description: A wiki compiler
Owners: thm
Branches: F-8 F-9
InitialCC: none
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-07-04 15:48:58 EDT
cvs done.
Comment 10 Fedora Update System 2008-07-06 12:30:47 EDT
ikiwiki-2.51-1.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-07-06 15:02:28 EDT
ikiwiki-2.51-1.fc8 has been submitted as an update for Fedora 8
Comment 12 Fedora Update System 2008-07-08 22:49:07 EDT
ikiwiki-2.51-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ikiwiki'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6214
Comment 13 Fedora Update System 2008-07-17 10:18:18 EDT
ikiwiki-2.51-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-07-17 10:21:00 EDT
ikiwiki-2.51-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Thomas Moschny 2008-08-07 05:29:22 EDT
Closing.
Comment 16 Jens Petersen 2012-12-10 22:31:15 EST
Any chance of building also for EPEL 6?
Comment 17 Thomas Moschny 2012-12-12 08:25:48 EST
Need to check dependencies.

Also, ikiwiki is (or at least used to be) a package with a fast release pace, which is contradictory to EPEL policies. We would have to carefully pick one version, for example the one in Debian stable. Would that be ok?
Comment 18 Jens Petersen 2012-12-12 20:56:26 EST
Sure I think so - well I just asked since it is a build dependency
for git-annex's documentation but for now I just disabled it.
Comment 19 Christopher Meng 2014-01-26 23:49:48 EST
I'd like to see this software in EPEL6/7.

Thomas, any chances for EPEL6/7 now?

Thanks.
Comment 20 Thomas Moschny 2014-07-24 05:09:12 EDT
perl-Text-Markdown and perl-CGI-FormBuilder are still not in EPEL7.

Ok, so let's go for EPEL6 at least now.

Package Change Request
======================
Package Name: ikiwiki
New Branches: el6
Owners: thm
Comment 21 Gwyn Ciesla 2014-07-24 08:19:37 EDT
Git done (by process-git-requests).
Comment 22 Jens Petersen 2014-07-24 21:54:30 EDT
Thanks

For now I turned off ikiwiki doc generation in git-annex/epel7 BTW,
but I guess it would still be nice to have it probably.

Have epel7 branches been requested for
perl-Text-Markdown and perl-CGI-FormBuilder?
Comment 23 Thomas Moschny 2014-07-25 04:46:34 EDT
(In reply to Jens Petersen from comment #22)
> Have epel7 branches been requested for
> perl-Text-Markdown and perl-CGI-FormBuilder?

Sure, see bug 243716 and bug 244262.

I had also sent their respective owners a mail ~1 month ago.
Comment 24 Fedora Update System 2014-07-25 13:19:13 EDT
ikiwiki-3.20140613-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ikiwiki-3.20140613-1.el6
Comment 25 Fedora Update System 2014-08-22 15:17:54 EDT
ikiwiki-3.20140613-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.